//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "nrclasses.hpp"
#include "nrcomm.hpp"
#include "nrcommbox.hpp"
#include "nrdataproc.hpp"
#include "nrftbase.hpp"
#include "nrkermit.hpp"
#include "nrlogfile.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TCheckBox *CheckBox1;
        TnrDeviceBox *nrDeviceBox1;
        TnrComm *nrComm1;
        TnrKermit *nrKermit1;
        TnrLogFile *nrLogFile1;
        TButton *Button2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TProgressBar *ProgressBar1;
        TMemo *Memo1;
        TLabel *Label1;
        TEdit *eFiles;
        TButton *Button1;
        TButton *Button3;
        TMemo *Memo2;
        TLabel *Label2;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall nrKermit1ChangeState(TObject *Sender);
        void __fastcall nrKermit1FileStart(TObject *Sender);
        void __fastcall nrKermit1FileEnd(TObject *Sender);
        void __fastcall nrKermit1Error(TObject *Sender);
        void __fastcall nrKermit1Progress(TObject *Sender);
        void __fastcall nrKermit1FatalError(TObject *Sender,
          DWORD ErrorCode, DWORD Detail, AnsiString ErrorMsg,
          bool &RaiseException);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
